using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class CmInvestigation3CodeType {
        public CmInvestigation3CodeType() {
            CmInvestigation3 = new HashSet<CmInvestigation3>();
        }

        [Display(Name = "고유번호"), Key]
        public int InvestigationTypeId { get; set; }
        [Display(Name = "코드유형명칭"), Required]
        [StringLength(50)]
        public string Name { get; set; }
        [Display(Name = "사용 유무")]
        public bool? IsUse { get; set; }

        [InverseProperty("CmInvestigation3CodeType")]
        public virtual ICollection<CmInvestigation3> CmInvestigation3 { get; set; }
    }
}
